dvisvgm-2.10

Introduction to dvisvgm

The dvisvgm package converts DVI, EPS and PDF files to SVG format.

This package is known to build and work properly using an LFS-9.1 platform.

Package Information

dvisvgm Dependencies

Required

Brotli-1.0.7, ghostscript-9.52 and Potrace-1.16

Recommended

Optional

asciidoc-9.0.2 with xmlto-0.0.28 and libxslt-1.1.34 (see command explanations), dblatex (with the above) and xxHash (the current version is included in the tarball)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/dvisvgm

Installation of dvisvgm

To enable the build system to link to libkpathsea.so, as the root user create a symlink from /usr/lib:

ln -svf /opt/texlive/2020/lib/libkpathsea.so /usr/lib

Now install dvisvgm by running the following commands:

./configure                                    \
 --bindir=/opt/texlive/2020/bin/${TEXARCH}     \
 --mandir=/opt/texlive/2020/texmf-dist/doc/man \
 --with-kpathsea=/opt/texlive/2020            &&
make

To test the results, issue: make check.

Now, as the root user:

make install

Command Explanations

ln -svf /opt/texlive/2020/lib/libkpathsea.so /usr/lib: Without this, the program will not link correctly,

--with-kpathsea=/opt/texlive/2020: This allows the build system to find the headers for kpathsea

Contents

Installed Programs: dvisvgm
Installed Libraries: None
Installed Directories: None

Short Descriptions

dvisvgm

converts DVI, EPS and PDF files to the SVG format

Last updated on 2020-08-14 19:58:02 -0500